hsts.c(3)

NAME
hsts.c - HTTP Strict Transport Security (RFC 6797) routines.

SYNOPSIS

#include <config.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>
#include <time.h>
#include <errno.h>
#include <sys/stat.h>
#include <sys/file.h>
#include <wget.h>
#include 'private.h'

  Data Structures
struct wget_hsts_db_st
struct hsts_entry

  Functions
void wget_hsts_set_plugin (const wget_hsts_db_vtable *vtable)
int wget_hsts_host_match (const wget_hsts_db *hsts_db, const char *host, uint16_t port)
void wget_hsts_db_deinit (wget_hsts_db *hsts_db)
void wget_hsts_db_free (wget_hsts_db **hsts_db)
void wget_hsts_db_add (wget_hsts_db *hsts_db, const char *host, uint16_t port, int64_t maxage, bool include_subdomains)
int wget_hsts_db_load (wget_hsts_db *hsts_db)
int wget_hsts_db_save (wget_hsts_db *hsts_db)
wget_hsts_db * wget_hsts_db_init (wget_hsts_db *hsts_db, const char *fname)
void wget_hsts_db_set_fname (wget_hsts_db *hsts_db, const char *fname)

Detailed Description

HTTP Strict Transport Security (RFC 6797) routines.

Author

Generated automatically by Doxygen for wget2 from the source code.